tbl-dctrl(1)

NOM
tbl-dctrl - Créer des tableaux de données exprimées au format dctrl

SYNOPSIS
tbl-dctrl [ options ] [ -c colonne ... ] [ fichier ] ...

tbl-dctrl --version

tbl-dctrl --help

DESCRIPTION
tbl-dctrl crée des tableaux à partir de données exprimées au format de fichiers de contrôle Debian.

Par défaut, tbl-dctrl lit l'ensemble de la base de données, à la recherche de la plus longue entrée de chaque colonne indiquée. Il affiche ensuite le tableau, avec des cadres et des titres de colonne, où chaque colonne est juste assez large pour afficher la plus longue entrée. Ce comportement peut être personnalisé conformément aux descriptions suivantes.

Une colonne est demandée en indiquant l'option -c (--column) suivie d'une spécification de colonne. Le nom d'un champ est la spécification de colonne la plus simple. Dans ce cas, tbl-dctrl inclura dans la sortie une colonne dont le titre est le nom de colonne indiqué et dont les données sont tirées des champs de ce nom. En absence d'option -c, tbl-dctrl utilisera tous les champs en entrée dans l'ordre où ils sont apparus pour la première fois.

Deux ajouts facultatifs peuvent être faits à une spécification de colonne. Précéder le nom de champ avec du texte suivi d'un signe égal (par exemple -c 'Nom de paquet=Package') modifie la colonne pour que le texte précédant le signe égal soit utilisé en titre de colonne, alors que le texte qui le suit est utilisé comme nom de champ à partir duquel les données sont tirées. Un deux-points suivi d'un entier positif peut être ajouté au nom de champ. Dans ce cas, le nombre qui suit le deux-points indique la largeur de la colonne. Ces deux ajouts peuvent être utilisés séparément ou ensemble. S'il y a plus d'un deux-point, seul le dernier est pris en compte. S'il y a plus d'un signe égal, seul le premier est pris en compte. Les autres deux-points et signes égal sont simplement utilisés comme des données. Remarquez que la totalité de la spécification de colonne doit être donnée à tbl-dctrl comme un argument, donc si elle contient des espaces, il faut les protéger pour l'interpréteur.

Si toutes les colonnes demandées ont une largeur indiquée, tbl-dctrl affichera le résultat directement, sans attendre d'avoir lu toute l'entrée.

OPTIONS

-d délimiteur, --delimiter=délimiteur
    Au lieu de dessiner de jolis cadres pour le tableau, utiliser le délimiteur indiqué pour séparer les colonnes sur chaque ligne.

-H, --no-heading
    Ne pas afficher d'en-tête (titres de colonne).

-l niveau, --errorlevel=niveau
    Configurer le niveau de journalisation, où niveau est fatal, important, informational ou debug. La disponibilité de debug depend des options de compilation. Ces catégories sont ici données dans l'ordre : tous les messages émis lorsque fatal est choisi seront affichés pour un niveau d'erreur important, etc. Par défaut, important est sélectionné.

-V, --version
    Afficher les informations de version.

-C, --copying
    Afficher la licence. La sortie est particulièrement longue, veuillez la rediriger quelque part, ou utiliser un tube (vers votre afficheur de texte préféré par exemple).

-h, --help
    Afficher une courte aide.

OPÉRANDES
tbl-dctrl lira son entrée à partir des fichiers nommés sur la ligne de commande, dans l'ordre indiqué. Un fichier appelé - représente le flux d'entrée standard du programme. Si aucun fichier n'est indiqué, le programme se comporte comme si seul - avait été nommé, c'est-à-dire que l'entrée est lue depuis le flux d'entrée standard.

STDIN
Le flux d'entrée standard peut être utilisé comme entrée du programme conformément à l'indication précédente dans la section OPÉRANDES.

FICHIERS D'ENTRÉE
Toutes les entrées de tbl-dctrl sont au format d'un fichier de contrôle Debian.

Un fichier de contrôle Debian (dctrl) est une base de données semi-structurée avec une seule table conservée dans un fichier texte analysable par une machine. Une telle base est constituée d'un ensemble d'enregistrements ; chaque enregistrement est une association de noms de champ et de contenus de champ. Le fichier texte présente les enregistrements séparés par des lignes vides, tandis que chaque champ est constitué d'une ou plusieurs lignes non vides à l'intérieur d'un enregistrement. Un champ commence par son nom, suivi d'un deux-points, suivi par le contenu du champ. Les deux-points doivent rester sur la première ligne du champ, et la première ligne ne doit pas commencer par un espace. Les lignes suivantes, au contraire, doivent commencer par un espace (un ou plusieurs caractères espace ou tabulation).

Quand l'entrée est lue depuis plusieurs fichiers, un séparateur est implicite entre deux fichiers adjacents.

VARIABLES D'ENVIRONNEMENT
Les paramètres régionaux de l'environnement, en particulier la configuration du jeu de caractères, a une incidence sur l'interprétation des flux de caractères en entrée et en sortie.

ÉVÉNEMENTS ASYNCHRONES
Les signaux UNIX normalisés ont leur signification habituelle.

STDOUT
Toute la sortie est envoyée sur le flux de sortie standard. La sortie est un tableau qui représente la base de données en entrée limitée aux champs indiqués. Lorsque l'option -d est utilisée, le tableau est simplement représenté en séparant les colonnes de chaque ligne par le délimiteur indiqué, sinon, un cadre est dessiné autour du tableau. L'ordre des colonnes est le même que l'ordre des spécifications de colonne sur la ligne de commande.

FICHIERS DE SORTIE
Il n'y a aucun fichier de sortie.

CODE DE RETOUR
Cet utilitaire renvoie 0 lors d'une exécution réussie. Un code de retour non nul incohérent est renvoyé si une erreur est détectée (c'est un bogue).

CONSÉQUENCE DES ERREURS
En cas d'erreur en entrée, la sortie sera partiellement ou complètement incorrecte. En cas d'erreur d'appel, le programme refusera de fonctionner.

EXEMPLES
La commande suivante renvoie le tableau de tous les paquets sans contenu, avec leur responsable, ordonnés par responsable.
% grep-available -FInstalled-Size --eq 0 | sort-dctrl -kMaintainer - \
  | tbl-dctrl -cPackage -cMaintainer

AUTEUR
Le programme tbl-dctrl et cette page de manuel ont été écrits par Antti-Juhani Kaijanaho.

VOIR AUSSI
apt-cache(1), ara(1), dpkg-awk(1), dpkg-query(1), grep-dctrl(1), sort-dctrl(1), dpkg(8)

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Elle est maintenue par David Prévot david@tilapin.org et les membres de la liste debian-l10n-french@lists.debian.org depuis mars 2011.

Veuillez signaler toute erreur de traduction en écrivant à debian-l10n-french@lists.debian.org ou par un rapport de bogue sur le paquet dctrl-tools.

Vous pouvez toujours accéder à la version anglaise de ce document en utilisant la commande « man -L C section page_de_man ».